Name:           perl-POE-Component-SNMP
Version:        1.1006
Release:        5%{?dist}
Summary:        POE interface to Net::SNMP 

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/POE-Component-SNMP
Source0:        http://search.cpan.org/CPAN/authors/id/R/RD/RDB/POE-Component-SNMP-%{version}.tar.gz        
BuildArch:      noarch 
BuildRequires:  perl(POE), perl(Net::SNMP), perl(Time::HiRes)
BuildRequires:  perl(Test::More)

# not picked up due to 'use base'
Requires:  perl(Net::SNMP)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
POE::Component::SNMP is a POE-ized wrapper around the the Net::SNMP module.
Most of its arguments aren't even evaluated by POE, except for -alias and 
-callback_args, as described in the manpage.

If you want to make non-blocking calls with Net::SNMP in a POE application,
this is the module to do it with.


%prep
%setup -q -n POE-Component-SNMP-%{version}

# let's not have rpmlint complain...
chmod -x eg/*


%build
echo | %{__perl} Makefile.PL INSTALLDIRS=vendor 
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*


%check
make test


%files
%defattr(-,root,root,-)
%doc Changes NOTES README eg/*
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1006-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.1006-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1006-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.1006-2
- 661697 rebuild for fixing problems with vendorach/lib

* Thu Dec 09 2010 Iain Arnell <iarnell@gmail.com> 1.1006-1
- update to latest upstream
- fixes FTBFS RHBZ#660832
- clean up spec for modern rpmbuild

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.1001-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.1001-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1001-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 22 2009 Robert Scheck <robert@fedoraproject.org> 1.1001-1
- Upgrade to 1.1001

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.07-3
- Rebuild for new perl

* Thu Jan 10 2008 Ralf Corsépius <rc040203@freenet.de> 1.07-2
- Update License-tag.
- BR: perl(Test::More) (BZ 419631).

* Fri Sep 29 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.07-1
- update to 1.07
- minor spec tweaks
- add an explicit requires on perl(Net::SNMP), as it was being skipped due to
  a 'use base' construct

* Tue Sep 12 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.06-1
- update to 1.06

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.05-3
- bump for mass rebuild

* Thu Jul 27 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.05-2
- bump for build

* Wed Jul 26 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.05-1
- Initial spec file for F-E
